## Unreleased
[full changelog](https://gitlab.com/sue445/gitlab_awesome_release/compare/v1.1.0...master)

## v1.1.0
[full changelog](https://gitlab.com/sue445/gitlab_awesome_release/compare/v1.0.4...v1.1.0)

* Allow specifying M-R commit format for changelog generation
  * https://gitlab.com/sue445/gitlab_awesome_release/-/merge_requests/57

## v1.0.4
[full changelog](https://gitlab.com/sue445/gitlab_awesome_release/compare/v1.0.3...v1.0.4)

* Enable MFA requirement for gem releasing
  * https://gitlab.com/sue445/gitlab_awesome_release/-/merge_requests/47

## v1.0.3
[full changelog](https://gitlab.com/sue445/gitlab_awesome_release/compare/v1.0.2...v1.0.3)

### Bugfix
* Bugfixed. 404 Not Found error when contains other repo's merge commit [!43](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/43) *@sue445*

### Others
* CI against ruby 2.7 [!41](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/41) *@sue445*
* CI against for Ruby 3.0 [!42](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/42) *@sue445*

## v1.0.2
[full changelog](https://gitlab.com/sue445/gitlab_awesome_release/compare/v1.0.1...v1.0.2)

### Bugfix
* Fixed SEGV on ruby 2.6.0 [!39](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/39) *@sue445*

### Others
* CI against ruby 2.5 [!33](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/33) *@sue445*
* Setup Dependency Scanning [!34](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/34) *@sue445*
* Fixed failed CI on ruby < 2.3 [!35](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/35) *@sue445*
* Fix CI [!36](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/36) *@sue445*
* Update rubocop [!37](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/37) *@sue445*
* Relax bundler dependency [!38](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/38) *@sue445*

## v1.0.1
[full changelog](https://gitlab.com/sue445/gitlab_awesome_release/compare/v1.0.0...v1.0.1)

* Deploy yard to GitLab Pages [!29](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/29) *@sue445*
* Tweak .gitlab-ci.yml [!30](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/30) *@sue445*
* Support new merge commit format for GitLab v10.0.0+ [!31](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/31) *@sue445*
* Refactor .gitlab-ci.yml [!32](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/32) *@sue445*

## v1.0.0
[full changelog](https://gitlab.com/sue445/gitlab_awesome_release/compare/v0.1.2...v1.0.0)

* :warning: Drop support GitLab API v3 and support GitLab API v4 [!28](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/28) *@sue445*

## v0.1.2
[full changelog](https://gitlab.com/sue445/gitlab_awesome_release/compare/v0.1.1...v0.1.2)

* Run rubocop only latest ruby [!26](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/26) *@sue445*
* Fixed. can not call GitLab API using gitlab v4+ [!27](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/27) *@sue445*

## v0.1.1
[full changelog](https://gitlab.com/sue445/gitlab_awesome_release/compare/v0.1.0...v0.1.1)

* Use ci cache [!19](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/19) *@sue445*
* Tweak gitlab-ci [!20](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/20) *@sue445*
* Add rubocop [!21](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/21) *@sue445*
* Use ruby 2.3.1 [!22](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/22) *@sue445*
* CI against ruby 2.1, 2.2, 2.3 and 2.4 [!23](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/23) *@sue445*
* Remove activesupport from dependency :put_litter_in_its_place: [!24](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/24) *@sue445*
* update onkcop [!25](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/25) *@sue445*

## v0.1.0
[full changelog](https://gitlab.com/sue445/gitlab_awesome_release/compare/v0.1.0.beta8...v0.1.0)

* Add create_latest_note [!18](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/18) *@sue445*

## v0.1.0.beta8
[full changelog](https://gitlab.com/sue445/gitlab_awesome_release/compare/v0.1.0.beta7...v0.1.0.beta8)

* Generate oldest version release note [!16](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/16) *@sue445*
* Add footnote [!17](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/17) *@sue445*

## v0.1.0.beta7
[full changelog](https://gitlab.com/sue445/gitlab_awesome_release/compare/v0.1.0.beta6...v0.1.0.beta7)

* Don't update MR when add label [!14](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/14) *@sue445*
* Always use GitLab debug logging [!15](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/15) *@sue445*

## v0.1.0.beta6
[full changelog](https://gitlab.com/sue445/gitlab_awesome_release/compare/v0.1.0.beta5...v0.1.0.beta6)

* Add MR iid check [!12](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/12) *@sue445*
* Write document [!13](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/13) *@sue445*

## v0.1.0.beta5
[full changelog](https://gitlab.com/sue445/gitlab_awesome_release/compare/v0.1.0.beta4...v0.1.0.beta5)

* Refactoring [!9](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/9) *@sue445*
* Impl marking [!10](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/10) *@sue445*
* from -> from_tag, to -> to_tag [!11](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/11) *@sue445*

## v0.1.0.beta4
[full changelog](https://gitlab.com/sue445/gitlab_awesome_release/compare/v0.1.0.beta3...v0.1.0.beta4)

* Use .env.gitlab and ~/.env.gitlab instead of .env [!8](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/8) *@sue445*

## v0.1.0.beta3
[full changelog](https://gitlab.com/sue445/gitlab_awesome_release/compare/v0.1.0.beta2...v0.1.0.beta3)

* Add allow_tag_format [!6](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/6) *@sue445*
* Add progress logging [!7](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/7) *@sue445*

## v0.1.0.beta2
[full changelog](https://gitlab.com/sue445/gitlab_awesome_release/compare/v0.1.0.beta1...v0.1.0.beta2)

* Bugfix: uninitialized constant GitlabAwesomeRelease::ArrayWithinExt (NameError) [!5](https://gitlab.com/sue445/gitlab_awesome_release/merge_requests/5) *@sue445*

## v0.1.0.beta1

*This Change Log was automatically generated by [gitlab_awesome_release](https://gitlab.com/sue445/gitlab_awesome_release)*
